# 49. Zapytanie: pobierz dane siatkowe z "FieldSatelliteImage"

Zapytanie pobierające ułożone w siatkę dane z zestawu rastrowego powiązanego z "FieldSatelliteImage" jako `GEOJSON`  z punktami lub `GEOTIFF`. Atrybut properties zależy od dostawcy i zazwyczaj zawiera oryginalne dane dostawcy (np. RED, GREEN, BLUE, NIR, a nawet Clear Land) dla każdego punktu/piksela. Więcej szczegółów na temat wyeksportowanego pliku można znaleźć [TUTAJ](/geopard-tutorials/pl/przeglad-produktu-aplikacja-webowa/eksport-pobieranie/eksport-obrazow-satelitarnych-jako-geotiff-lub-geojson.md).

#### 1. Poproś o plik do eksportu

{% hint style="danger" %}
Zalecane pobieranie tylko jednego zestawu danych za pomocą `sourceDataUrl` na żądanie.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, oraz `MinusTwoPixels` są dostępne jako `bufor`.

`GEOJSON` i `GEOTIFF` są dostępne jako format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Pobierz wygenerowany plik

Po pomyślnym przygotowaniu pliku można go pobrać używając `curl` lub podobnego podejścia.

{% hint style="danger" %}
`sourceDataUrl` link jest dostępny tylko przez **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/49.-zapytanie-pobierz-dane-siatkowe-z-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
